View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17557Bug reportsSurvey editingpublic2021-09-22 16:44
Reportergwdgls Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.25.20 
Fixed in Version5.x 
Summary17557: Version 3.27.x - Upload of .svg files not possible
DescriptionWe are not able to upload an .svg file although the error message tells us that svg is supported.

We tried on several of our servers with several 3.27.x versions and OSes. See below.
Steps To Reproducea) We tried it in the theme editor in a theme extended from one of the core themes.

b) We also tried to upload and display the image in one of the text elements of a survey's settings.

The .svg image's size is 11 kb, our limit is 10 MB.

A jpg file could be uploaded without problems.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.27.9+210726, 3.27.13+210823 (both from github), 3.27.10+210803 (Community edition)
I will donate to the project if issue is resolvedNo
BrowserEdge, Firefox (current versions)
Database type & versionMySQL
Server OS (if known)SLES / Debian
Webserver software & version (if known)Apache 2
PHP Version7.3

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gwdgls

gwdgls

2021-08-31 13:23

reporter  

Fehlermeldung_LS_SVG_Upload.png (11,601 bytes)   
Fehlermeldung_LS_SVG_Upload.png (11,601 bytes)   
galads

galads

2021-08-31 14:01

administrator   ~66242

I cannot reproduce the error. Did you include the extension to Allowed file types?
gwdgls

gwdgls

2021-09-01 09:29

reporter   ~66249

Sorry, what exactly do you mean by "the extension to Allowed file types"? I checked the manual and forums but didn't find anything.
galads

galads

2021-09-01 10:58

administrator   ~66250

I have attached a screenshot. You need to include "svg" extension to the question. It is not there by default. Please check if it works, so I can close the ticket.
Selection_121.png (84,186 bytes)   
Selection_121.png (84,186 bytes)   
gwdgls

gwdgls

2021-09-01 12:45

reporter   ~66251

Sorry, but this is not about including pictures in questions. I might not have made this clear enough, sorry! What we are looking for is how to include an svg type image as a logo in the survey as a whole. That's why we tried it via the themes editor.
ollehar

ollehar

2021-09-02 11:31

administrator   ~66281

Last edited: 2021-09-02 11:32

View 2 revisions

Might be related to XSS fix, to ban SVG files. But you can change allowed files in your config.php file.
gwdgls

gwdgls

2021-09-02 15:02

reporter   ~66290

Thank you, that would make sense. I just wonder why in the red error message it says that svg is a supported file format.

Is there something like an "official" statement about svg being no longer allowed, perhaps in the release notes?

We wouldn't want to change the setting in our config.php if there is an XSS risk.
ollehar

ollehar

2021-09-02 17:45

administrator   ~66294

Last edited: 2021-09-02 17:45

View 2 revisions

Seems like the number of different formats in the error message is hard-coded. That should be fixed.

For reference, here: application/core/LSYii_ImageValidator.php line 76.
galads

galads

2021-09-03 08:23

administrator   ~66297

I am closing this issue since it is not a bug.
gwdgls

gwdgls

2021-09-03 09:12

reporter   ~66300

Thanks! Good to know it's not a bug.

Still looking for the corresponding release note, though.

Related Changesets

LimeSurvey: master 563fca65

2021-09-22 16:42:27

c_schmitz

Details Diff
Fixed issue 17557: Allowed image extensions are not properly shown in administration Affected Issues
17557
mod - application/core/LSYii_ImageValidator.php Diff File

Issue History

Date Modified Username Field Change
2021-08-31 13:23 gwdgls New Issue
2021-08-31 13:23 gwdgls File Added: Fehlermeldung_LS_SVG_Upload.png
2021-08-31 13:23 gwdgls File Added: Fehlermeldung_LS_SVG_Upload_2.jpg
2021-08-31 14:01 galads Note Added: 66242
2021-08-31 14:01 galads Bug heat 0 => 2
2021-08-31 14:01 galads Assigned To => galads
2021-08-31 14:01 galads Status new => feedback
2021-09-01 09:29 gwdgls Note Added: 66249
2021-09-01 09:29 gwdgls Bug heat 2 => 4
2021-09-01 09:29 gwdgls Status feedback => assigned
2021-09-01 10:58 galads Note Added: 66250
2021-09-01 10:58 galads File Added: Selection_121.png
2021-09-01 10:58 galads Status assigned => feedback
2021-09-01 12:45 gwdgls Note Added: 66251
2021-09-01 12:45 gwdgls Status feedback => assigned
2021-09-02 11:31 ollehar Note Added: 66281
2021-09-02 11:31 ollehar Bug heat 4 => 6
2021-09-02 11:32 ollehar Note Edited: 66281 View Revisions
2021-09-02 11:53 ollehar Product Version => 3.25.20
2021-09-02 15:02 gwdgls Note Added: 66290
2021-09-02 17:45 ollehar Note Added: 66294
2021-09-02 17:45 ollehar Note Edited: 66294 View Revisions
2021-09-03 08:23 galads Status assigned => closed
2021-09-03 08:23 galads Resolution open => fixed
2021-09-03 08:23 galads Note Added: 66297
2021-09-03 09:12 gwdgls Note Added: 66300
2021-09-22 15:50 c_schmitz Assigned To galads => c_schmitz
2021-09-22 15:50 c_schmitz Status closed => assigned
2021-09-22 16:42 c_schmitz Status assigned => resolved
2021-09-22 16:42 c_schmitz Fixed in Version => 5.x
2021-09-22 16:44 c_schmitz Changeset attached => LimeSurvey master 563fca65